﻿/* Explorer */

/*.explorer-tree .dx-treeview-search {
    margin-block-start: 0 
}*/

.explorer-tree .dx-treelist-text-content {
    overflow: visible;
    cursor:pointer;
}

    .explorer-tree .dx-treelist-text-content > span {
        overflow: hidden;
        text-overflow: ellipsis;
        width: 100%;
        /*margin-inline-start: 2px;*/
    }

    .explorer-tree .dx-treelist-text-content > .dx-icon {
        width: var(--alfa-icon-width);
        height: var(--alfa-icon-height);
        font-size: var(--dlt-font-size-lg,1.25rem);
        margin-inline-end: var(--dlt-spacing-1-x, .5rem);
        object-fit: scale-down;
    }

.explorer-tree .dx-treelist-text-content .svg-icon {
    flex-shrink: 0;
}

.explorer-tree .dx-treelist-content .dx-treelist-table .dx-row > td {
    border-bottom: 1px solid var(--alfa-background-color-primary);
    border-right: 1px solid var(--alfa-background-color-primary);
}

.explorer-tree .dx-treelist-rowsview .dx-row {
    border-top: 0;
    border-bottom: 0;
}

.explorer-tree .dx-scrollable-container {
    background-color: var(--alfa-background-color-secondary);
}

/*.explorer-tree .dx-toolbar.custom-toolbar .dx-toolbar-items-container {   
    background: var(--alfa-main-content-background-color);
}*/

.explorer-tree .dx-toolbar .dx-toolbar-items-container {
    margin-block: 1rem;
    background: var(--alfa-main-content-background-color);
    padding-left: 1px;
}

.explorer-search-bar.dx-toolbar .dx-toolbar-before {
    padding-right: 0;
}

.explorer-search-bar.dx-rtl.dx-toolbar .dx-toolbar-before {
    padding-left: 0;
}

.explorer-search-bar.dx-toolbar .dx-button-has-icon {
    padding-inline-start: 4px;
}

.explorer-search-bar.dx-toolbar .dx-button-has-icon .dx-icon {
    color: var(--alfa-text-color-primary);
    font-size: 12px;
    font-weight: 600;
}

.explorer-tree-item .dx-toolbar.explorer-search-bar .dx-toolbar-before {
    width: 100%
}

.explorer-tree-item .dx-toolbar.explorer-search-bar .dx-texteditor.dx-editor-outlined {
    border-radius: var(--alfa-control-border-radius, 4px);
}

.explorer-tree-item .dx-toolbar.explorer-search-bar .dx-button.dx-state-disabled .dx-icon,
.explorer-tree-item .dx-toolbar.explorer-search-bar .dx-widget.dx-state-disabled {
    opacity: 1;
}

.explorer-tree-item {
    margin-inline-end: 1.5rem;
    display: flex;
    flex-flow: column;
}

.explorer-tree .dx-row.dx-data-row {
    height: 48px;
    line-height: 40px;
    position: relative;
    min-height: 28px;
    white-space: nowrap;
    width: 100%;
}

.explorer-tree {
    flex-shrink: 0;
}

.explorer-content {
    width: 100%;
    height: 100%;
    padding-inline-start: 1.5rem;
    overflow: auto;
}

    .explorer-content .grid-stack-wrapper {
       height: calc(100vh - 190px);
    }

.explorer-tree .dx-treelist-text-content {
    display: flex;
    align-items: center;
}

.explorer-tree .dx-treelist-rowsview .dx-treelist-empty-space {
    width: 14px;
}

.explorer-tree .dx-treelist {
    height: 85%;
}

/*WI-46877*/
.edit-dialog-popup .explorer-tree .dx-treelist {
    height: 100vh;
    min-height: 0;
}

.explorer-tree .dx-treelist-text-content > i.dlt-icon-chevron-right {
    font-size: var(--dlt-font-size-xxl,1.5rem);
}

html[dir="rtl"] .explorer-tree .dx-treelist-text-content > i.dlt-icon-chevron-right {
    transform: rotate(180deg);
}

    .explorer-tree .dx-treelist-text-content > i.dlt-icon-chevron-right.dlt-chevron-transform {
        transform: rotate(90deg);
    }

html[dir="rtl"] .explorer-tree .dx-treelist-text-content > i.dlt-icon-chevron-right.dlt-chevron-transform {
    transform: rotate(90deg);
}

.explorer-tree .dx-row.dx-data-row[aria-expanded~="false"][aria-level~="1"] .dx-treelist-text-content > i.dlt-icon-folder-open:before {
    content: "\e9cd";
}
.explorer-tree .dx-row.dx-data-row[aria-expanded~="true"][aria-level~="2"] .dx-treelist-text-content > i.dlt-icon-folder:before {
    content: "\ea05";
}
.explorer-tree .dx-row.dx-data-row[aria-expanded~="true"][aria-level~="3"] .dx-treelist-text-content > i.dlt-icon-folder:before {
    content: "\ea05";
}
.explorer-tree .dx-row.dx-data-row[aria-expanded~="true"][aria-level~="4"] .dx-treelist-text-content > i.dlt-icon-folder:before {
    content: "\ea05";
}
.explorer-tree .dx-row.dx-data-row[aria-expanded~="true"][aria-level~="5"] .dx-treelist-text-content > i.dlt-icon-folder:before {
    content: "\ea05";
}

/*.explorer-tree .dx-row.dx-data-row .dlt-icon-more-menu:hover,
.explorer-tree .dx-row.dx-data-row .dlt-icon-chevron-right:hover {
    box-sizing: border-box;
    background: var(--dlt-color-background-interactive-secondary-active);
    outline: 2px solid var(--dlt-color-border-interactive-primary);
    flex: none;
    order: 0;
    flex-grow: 0;
}*/
/*.explorer-tree .dx-row.dx-data-row .dlt-icon-more-menu:hover {
    position: relative;
    inset-inline-start: -3px;
}*/

/*.explorer-tree .dx-row.dx-data-row .dlt-icon-chevron-right:hover {
    position: relative;
    inset-inline-start: 5px;
}*/

.explorer-tree .dx-row.dx-data-row:not(.dx-row-focused) td .dx-treelist-text-content:hover {
    /*outline: var(--dlt-border-width-hover,2px) var(--dlt-border-style-hover,solid) var(--dlt-color-background-static-contrast,--dlt-color-palette-teal-300);
    outline-offset: -2px;*/
    background: var(--alfa-background-primary-hover);
    color: var(--alfa-text-color-primary-light);
}

/*.explorer-tree .dx-row.dx-data-row .dx-treelist-text-content > .dx-icon {
    padding-top: 3px;
}*/

.explorer-tree .dx-button-mode-text.dx-button-default,
.explorer-tree .dx-button-mode-text.dx-button-default.dx-state-focused,
.explorer-tree .dx-button-mode-text.dx-button-default.dx-state-hover {
    background-color: inherit;
}

.explorer-tree .dx-row.dx-data-row[aria-level="1"] > td {
    padding-inline-start: 0px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="2"] > td {
    padding-inline-start: 20px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="3"] > td {
    padding-inline-start: 40px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="4"] > td {
    padding-inline-start: 60px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="5"] > td {
    padding-inline-start: 80px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="6"] > td {
    padding-inline-start: 100px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="7"] > td {
    padding-inline-start: 120px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="8"] > td {
    padding-inline-start: 140px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="9"] > td {
    padding-inline-start: 160px;
}

.explorer-tree .dx-row.dx-data-row[aria-level="10"] > td {
    padding-inline-start: 180px;
}

/* .explorer-tree .dx-toolbar-after .dx-button {
    padding: 0 0 0 var(--dlt-spacing-1-x-half,.75rem);
} */

.explorer-tree .dx-treelist-text-content > i.dlt-icon-chevron-right {
    margin-inline-end: 8px;
}

/*.explorer-tree .dx-treeview-item.dx-state-hover {
    background: none;
}*/

.explorer-tree .dx-treelist-rowsview .dx-treelist-expanded span::before,
.explorer-tree .dx-treelist-rowsview .dx-treelist-collapsed span::before {
    content: "";
}
/*.explorer-tree .explorer-tree-item .dx-treelist .dx-gridbase-container {
    max-height: none;
}*/

.explorer-tree .dx-toolbar {
    background-color: var(--alfa-background-color-secondary);
}

.explorer-tree .dx-toolbar .dx-texteditor-container {
    min-height: 28px;
}
/* Explorer End */

.explorer-tree .dx-treelist-search-panel {
    margin: 0 !important;
    width:100% !important;
}

.explorer-tree .dx-toolbar:not(.explorer-search-bar) .dx-toolbar-after {
    padding-left: 0px;
    width: 100% !important;
}